gstreamermm: Gst::MessageMixerOptionChanged Class Reference

gstreamermm 0.10.10.1

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Gst::MessageMixerOptionChanged Class Reference

An option-changed Gst::Mixer message. More...

Inheritance diagram for Gst::MessageMixerOptionChanged:
[legend]
Collaboration diagram for Gst::MessageMixerOptionChanged:
[legend]

List of all members.

## Public Member Functions
| MessageMixerOptionChanged (GstMessage* castitem)
void | parse (Glib::RefPtr< Gst::MixerOptions >& options, Glib::ustring&value) const
| Extracts the Gst::MixerOptions and new value from a option-changed bus notification message.
Glib::RefPtr< Gst::MixerOptions > | parse ()
| Extracts the Gst::MixerOptions from a option-changed bus notification message.
Glib::RefPtr< const Gst::MixerOptions > | parse () const
| Extracts the Gst::MixerOptions from a option-changed bus notification message.
Glib::ustring | parse_value () const
| Extracts the new value of the option from a option-changed bus notification message.

## Detailed Description

An option-changed Gst::Mixer message.

## Constructor & Destructor Documentation

Gst::MessageMixerOptionChanged::MessageMixerOptionChanged | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

void Gst::MessageMixerOptionChanged::parse | ( | Glib::RefPtr< Gst::MixerOptions >& | options,
|  | Glib::ustring & | value
| ) |  | const

Extracts the Gst::MixerOptions and new value from a option-changed bus notification message.

The Gst::MixerOptions remain valid until the message is freed.

Parameters:

  options | A reference to hold the Gst::MixerOptions object.
  value | Location to store the new options value.

Since 0.10.14.

Glib::RefPtr<Gst::MixerOptions> Gst::MessageMixerOptionChanged::parse | ( |  | ) |

Extracts the Gst::MixerOptions from a option-changed bus notification message.

The Gst::MixerOptions remain valid until the message is freed.

Returns:
  The Gst::MixerOptions object.

Glib::RefPtr<const Gst::MixerOptions> Gst::MessageMixerOptionChanged::parse | ( |  | ) | const

Extracts the Gst::MixerOptions from a option-changed bus notification message.

The Gst::MixerOptions remain valid until the message is freed.

Returns:
  The Gst::MixerOptions object.

Glib::ustring Gst::MessageMixerOptionChanged::parse_value | ( |  | ) | const

Extracts the new value of the option from a option-changed bus notification message.

Returns:
  The new options value.

The documentation for this class was generated from the following file:

- gstreamermm/mixer.h